<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] ?: array()) + array("page_" . "id" => base64_decode("cGFnZV" . "9pZA=="), "_2aef71f103069bd" . "b72b57d0b3bd1d29" . "4" => base64_decode("Q2Fubm90IGRpc3BsYXkgY29tbWVudHMgLS" . "BwYWdlIG5vdCBpZGVudGlmaWVk"), "_1a6a10bd09998ad0ae2a2b4e" . "0fd966e8" => base64_decode("U0NSS" . "VBUX1" . "VSSQ=" . "="), "_69c6236c927bc93c5d062" . "074967d834d" => base64_decode("cGFn" . "ZV92" . "ZXJz" . "aW9u"));
class PublishCommentsComponent extends ClaCommentsComponent
{
    public function Show($attributes)
    {
        $_b2e2301cda45361416cebc466d340194 = PublishBrowser::Instance();
        $page_id = $_b2e2301cda45361416cebc466d340194->GetPageIdByUrl($_SERVER[$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_1a6a10bd09998ad0ae2a2b4e0fd966" . "e8"]]);
        if ($page_id < 0) {
            return $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_2aef71f103069bdb72" . "b57d0b3bd1d294"];
        }
        $attributes[$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["pag" . "e_i" . "d"]] = $page_id;
        return parent::Show($attributes);
    }
    public function GetCommentsObject($attributes)
    {
        $_d91345deaf5ce6430a776cdc17f9b138 = new PublishComments($attributes[$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["page_" . "id"]], $attributes[$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_69c6236c927bc93c5d06207496" . "7d834d"]]);
        return $_d91345deaf5ce6430a776cdc17f9b138;
    }
}